C->Haskell Interface Version C->Haskell Compiler, version 0.13.9 (gtk2hs branch) "Bin IO", 27 May 2012
([((False,"GDestroyNotify"),(True,Ptr,Nothing,"((Ptr ()) -> (IO ()))")),((True,"GtkBin"),(False,ForeignPtr,Just "Bin","Bin")),((True,"GtkBox"),(False,ForeignPtr,Just "Box","Box")),((True,"GdkGC"),(False,ForeignPtr,Just "GC","GC")),((True,"GtkHSV"),(False,ForeignPtr,Just "HSV","HSV")),((True,"GtkHBox"),(False,ForeignPtr,Just "HBox","HBox")),((True,"GtkItem"),(False,ForeignPtr,Just "Item","Item")),((True,"GtkList"),(False,ForeignPtr,Just "List","List")),((True,"WebKitDOMDOMWindow"),(False,ForeignPtr,Just "DOMWindow","DOMWindow")),((True,"WebKitDOMHTMLDivElement"),(False,ForeignPtr,Just "HTMLDivElement","HTMLDivElement")),((True,"GtkMisc"),(False,ForeignPtr,Just "Misc","Misc")),((True,"WebKitWebNavigationAction"),(False,ForeignPtr,Just "WebNavigationAction","WebNavigationAction")),((True,"GtkMenu"),(False,ForeignPtr,Just "Menu","Menu")),((True,"GtkFileChooserDialog"),(False,ForeignPtr,Just "FileChooserDialog","FileChooserDialog")),((True,"WebKitDOMDOMPlugin"),(False,ForeignPtr,Just "DOMPlugin","DOMPlugin")),((True,"GtkCellRendererSpin"),(False,ForeignPtr,Just "CellRendererSpin","CellRendererSpin")),((True,"GtkPlug"),(False,ForeignPtr,Just "Plug","Plug")),((True,"GtkCellRendererText"),(False,ForeignPtr,Just "CellRendererText","CellRendererText")),((True,"WebKitDOMCharacterData"),(False,ForeignPtr,Just "CharacterData","CharacterData")),((True,"WebKitDOMCSSRule"),(False,ForeignPtr,Just "CSSRule","CSSRule")),((True,"GtkMenuToolButton"),(False,ForeignPtr,Just "MenuToolButton","MenuToolButton")),((True,"WebKitDOMUIEvent"),(False,ForeignPtr,Just "UIEvent","UIEvent")),((True,"WebKitDOMNodeIterator"),(False,ForeignPtr,Just "NodeIterator","NodeIterator")),((True,"WebKitDOMXPathResult"),(False,ForeignPtr,Just "XPathResult","XPathResult")),((True,"GtkToolItemGroup"),(False,ForeignPtr,Just "ToolItemGroup","ToolItemGroup")),((True,"WebKitDOMEventTarget"),(False,ForeignPtr,Just "EventTarget","EventTarget")),((True,"GtkVBox"),(False,ForeignPtr,Just "VBox","VBox")),((True,"WebKitWebPolicyDecision"),(False,ForeignPtr,Just "WebPolicyDecision","WebPolicyDecision")),((True,"WebKitDOMXPathExpression"),(False,ForeignPtr,Just "XPathExpression","XPathExpression")),((True,"GtkFontSelectionDialog"),(False,ForeignPtr,Just "FontSelectionDialog","FontSelectionDialog")),((True,"WebKitDOMNamedNodeMap"),(False,ForeignPtr,Just "NamedNodeMap","NamedNodeMap")),((True,"WebKitDOMGeolocation"),(False,ForeignPtr,Just "Geolocation","Geolocation")),((True,"GtkFileChooserWidget"),(False,ForeignPtr,Just "FileChooserWidget","FileChooserWidget")),((True,"GtkTreeViewColumn"),(False,ForeignPtr,Just "TreeViewColumn","TreeViewColumn")),((True,"WebKitWebWindowFeatures"),(False,ForeignPtr,Just "WebWindowFeatures","WebWindowFeatures")),((True,"WebKitDOMValidityState"),(False,ForeignPtr,Just "ValidityState","ValidityState")),((True,"WebKitDOMDocumentType"),(False,ForeignPtr,Just "DocumentType","DocumentType")),((True,"WebKitDOMStorageInfo"),(False,ForeignPtr,Just "StorageInfo","StorageInfo")),((True,"WebKitWebBackForwardList"),(False,ForeignPtr,Just "WebBackForwardList","WebBackForwardList")),((True,"GtkFileChooserButton"),(False,ForeignPtr,Just "FileChooserButton","FileChooserButton")),((True,"WebKitDOMCSSValue"),(False,ForeignPtr,Just "CSSValue","CSSValue")),((True,"GtkTextChildAnchor"),(False,ForeignPtr,Just "TextChildAnchor","TextChildAnchor")),((True,"WebKitDOMMediaList"),(False,ForeignPtr,Just "MediaList","MediaList")),((True,"WebKitDOMMessagePort"),(False,ForeignPtr,Just "MessagePort","MessagePort")),((True,"GObject"),(False,ForeignPtr,Just "GObject","GObject")),((True,"GtkCellEditable"),(False,ForeignPtr,Just "CellEditable","CellEditable")),((True,"GtkFileSelection"),(False,ForeignPtr,Just "FileSelection","FileSelection")),((True,"GtkFontSelection"),(False,ForeignPtr,Just "FontSelection","FontSelection")),((True,"WebKitDOMKeyboardEvent"),(False,ForeignPtr,Just "KeyboardEvent","KeyboardEvent")),((True,"WebKitDOMNodeFilter"),(False,ForeignPtr,Just "NodeFilter","NodeFilter")),((True,"WebKitDOMDocument"),(False,ForeignPtr,Just "Document","Document")),((True,"GdkDragContext"),(False,ForeignPtr,Just "DragContext","DragContext")),((True,"WebKitDOMTreeWalker"),(False,ForeignPtr,Just "TreeWalker","TreeWalker")),((True,"WebKitDOMLocation"),(False,ForeignPtr,Just "Location","Location")),((True,"GtkColorSelectionDialog"),(False,ForeignPtr,Just "ColorSelectionDialog","ColorSelectionDialog")),((True,"WebKitDOMConsole"),(False,ForeignPtr,Just "Console","Console")),((True,"WebKitDOMStorage"),(False,ForeignPtr,Just "Storage","Storage")),((True,"GtkComboBoxEntry"),(False,ForeignPtr,Just "ComboBoxEntry","ComboBoxEntry")),((True,"WebKitDOMMediaError"),(False,ForeignPtr,Just "MediaError","MediaError")),((True,"GtkFileFilter"),(False,ForeignPtr,Just "FileFilter","FileFilter")),((True,"WebKitDOMNodeList"),(False,ForeignPtr,Just "NodeList","NodeList")),((True,"WebKitDOMDOMApplicationCache"),(False,ForeignPtr,Just "DOMApplicationCache","DOMApplicationCache")),((True,"WebKitDOMElement"),(False,ForeignPtr,Just "Element","Element")),((True,"GdkPixbufSimpleAnim"),(False,ForeignPtr,Just "PixbufSimpleAnim","PixbufSimpleAnim")),((True,"WebKitDOMHTMLTableCaptionElement"),(False,ForeignPtr,Just "HTMLTableCaptionElement","HTMLTableCaptionElement")),((True,"WebKitDOMHTMLAnchorElement"),(False,ForeignPtr,Just "HTMLAnchorElement","HTMLAnchorElement")),((True,"WebKitDOMTimeRanges"),(False,ForeignPtr,Just "TimeRanges","TimeRanges")),((True,"GdkDisplayManager"),(False,ForeignPtr,Just "DisplayManager","DisplayManager")),((True,"GtkFontButton"),(False,ForeignPtr,Just "FontButton","FontButton")),((True,"GtkTreeSelection"),(False,ForeignPtr,Just "TreeSelection","TreeSelection")),((True,"WebKitDOMStyleMedia"),(False,ForeignPtr,Just "StyleMedia","StyleMedia")),((True,"WebKitDOMHTMLTableSectionElement"),(False,ForeignPtr,Just "HTMLTableSectionElement","HTMLTableSectionElement")),((True,"WebKitDOMFileList"),(False,ForeignPtr,Just "FileList","FileList")),((True,"WebKitDOMHTMLLegendElement"),(False,ForeignPtr,Just "HTMLLegendElement","HTMLLegendElement")),((True,"WebKitSecurityOrigin"),(False,ForeignPtr,Just "SecurityOrigin","SecurityOrigin")),((True,"GtkCellRenderer"),(False,ForeignPtr,Just "CellRenderer","CellRenderer")),((True,"GtkTextBuffer"),(False,ForeignPtr,Just "TextBuffer","TextBuffer")),((True,"WebKitDOMComment"),(False,ForeignPtr,Just "Comment","Comment")),((True,"GtkFileChooser"),(False,ForeignPtr,Just "FileChooser","FileChooser")),((True,"WebKitDOMStyleSheet"),(False,ForeignPtr,Just "StyleSheet","StyleSheet")),((True,"WebKitDOMBarProp"),(False,ForeignPtr,Just "BarProp","BarProp")),((True,"WebKitDOMHTMLObjectElement"),(False,ForeignPtr,Just "HTMLObjectElement","HTMLObjectElement")),((True,"GtkLinkButton"),(False,ForeignPtr,Just "LinkButton","LinkButton")),((True,"WebKitDOMNode"),(False,ForeignPtr,Just "Node","Node")),((True,"GtkItemFactory"),(False,ForeignPtr,Just "ItemFactory","ItemFactory")),((True,"GtkIconFactory"),(False,ForeignPtr,Just "IconFactory","IconFactory")),((True,"GtkMessageDialog"),(False,ForeignPtr,Just "MessageDialog","MessageDialog")),((True,"WebKitDOMEvent"),(False,ForeignPtr,Just "Event","Event")),((True,"WebKitDOMHTMLSelectElement"),(False,ForeignPtr,Just "HTMLSelectElement","HTMLSelectElement")),((True,"GdkAppLaunchContext"),(False,ForeignPtr,Just "AppLaunchContext","AppLaunchContext")),((True,"WebKitSoupAuthDialog"),(False,ForeignPtr,Just "SoupAuthDialog","SoupAuthDialog")),((True,"WebKitDOMHTMLCanvasElement"),(False,ForeignPtr,Just "HTMLCanvasElement","HTMLCanvasElement")),((True,"GtkTreeModelFilter"),(False,ForeignPtr,Just "TreeModelFilter","TreeModelFilter")),((True,"GtkTreeModelSort"),(False,ForeignPtr,Just "TreeModelSort","TreeModelSort")),((True,"GtkIconTheme"),(False,ForeignPtr,Just "IconTheme","IconTheme")),((True,"WebKitDOMHTMLAppletElement"),(False,ForeignPtr,Just "HTMLAppletElement","HTMLAppletElement")),((True,"GtkPrintOperationPreview"),(False,ForeignPtr,Just "PrintOperationPreview","PrintOperationPreview")),((True,"GtkProgressBar"),(False,ForeignPtr,Just "ProgressBar","ProgressBar")),((True,"GtkCellLayout"),(False,ForeignPtr,Just "CellLayout","CellLayout")),((True,"GtkSpinButton"),(False,ForeignPtr,Just "SpinButton","SpinButton")),((True,"GtkListStore"),(False,ForeignPtr,Just "ListStore","ListStore")),((True,"WebKitDOMNavigator"),(False,ForeignPtr,Just "Navigator","Navigator")),((True,"WebKitDOMHTMLIFrameElement"),(False,ForeignPtr,Just "HTMLIFrameElement","HTMLIFrameElement")),((True,"GtkOffscreenWindow"),(False,ForeignPtr,Just "OffscreenWindow","OffscreenWindow")),((True,"WebKitDOMHTMLScriptElement"),(False,ForeignPtr,Just "HTMLScriptElement","HTMLScriptElement")),((True,"GtkAspectFrame"),(False,ForeignPtr,Just "AspectFrame","AspectFrame")),((True,"GtkToolButton"),(False,ForeignPtr,Just "ToolButton","ToolButton")),((True,"WebKitDOMFile"),(False,ForeignPtr,Just "File","File")),((True,"GtkScrolledWindow"),(False,ForeignPtr,Just "ScrolledWindow","ScrolledWindow")),((True,"GtkSelectionData"),(False,Ptr,Nothing,"()")),((True,"WebKitDOMMouseEvent"),(False,ForeignPtr,Just "MouseEvent","MouseEvent")),((True,"WebKitDOMHistory"),(False,ForeignPtr,Just "History","History")),((True,"WebKitWebResource"),(False,ForeignPtr,Just "WebResource","WebResource")),((True,"WebKitDOMHTMLOptionElement"),(False,ForeignPtr,Just "HTMLOptionElement","HTMLOptionElement")),((True,"WebKitDOMHTMLButtonElement"),(False,ForeignPtr,Just "HTMLButtonElement","HTMLButtonElement")),((True,"WebKitDOMRange"),(False,ForeignPtr,Just "DOMRange","DOMRange")),((True,"WebKitNetworkRequest"),(False,ForeignPtr,Just "NetworkRequest","NetworkRequest")),((True,"WebKitDOMBlob"),(False,ForeignPtr,Just "Blob","Blob")),((True,"WebKitDOMHTMLFrameSetElement"),(False,ForeignPtr,Just "HTMLFrameSetElement","HTMLFrameSetElement")),((True,"GtkTreeSortable"),(False,ForeignPtr,Just "TreeSortable","TreeSortable")),((True,"GtkClipboard"),(False,ForeignPtr,Just "Clipboard","Clipboard")),((True,"WebKitNetworkResponse"),(False,ForeignPtr,Just "NetworkResponse","NetworkResponse")),((True,"GtkRecentChooserWidget"),(False,ForeignPtr,Just "RecentChooserWidget","RecentChooserWidget")),((True,"GtkTextTagTable"),(False,ForeignPtr,Just "TextTagTable","TextTagTable")),((True,"GtkColorSelection"),(False,ForeignPtr,Just "ColorSelection","ColorSelection")),((True,"GtkSizeGroup"),(False,ForeignPtr,Just "SizeGroup","SizeGroup")),((True,"WebKitDOMHTMLTableCellElement"),(False,ForeignPtr,Just "HTMLTableCellElement","HTMLTableCellElement")),((True,"GtkInfoBar"),(False,ForeignPtr,Just "InfoBar","InfoBar")),((True,"WebKitWebHistoryItem"),(False,ForeignPtr,Just "WebHistoryItem","WebHistoryItem")),((True,"WebKitWebSettings"),(False,ForeignPtr,Just "WebSettings","WebSettings")),((True,"WebKitDOMHTMLKeygenElement"),(False,ForeignPtr,Just "HTMLKeygenElement","HTMLKeygenElement")),((True,"GtkTreeStore"),(False,ForeignPtr,Just "TreeStore","TreeStore")),((True,"GtkMenuShell"),(False,ForeignPtr,Just "MenuShell","MenuShell")),((True,"WebKitDOMScreen"),(False,ForeignPtr,Just "DOMScreen","DOMScreen")),((True,"GdkPixbufAnimationIter"),(False,ForeignPtr,Just "PixbufAnimationIter","PixbufAnimationIter")),((True,"WebKitDOMHTMLFieldSetElement"),(False,ForeignPtr,Just "HTMLFieldSetElement","HTMLFieldSetElement")),((True,"GtkTreeModel"),(False,ForeignPtr,Just "TreeModel","TreeModel")),((True,"WebKitDOMAttr"),(False,ForeignPtr,Just "DOMAttr","DOMAttr")),((True,"WebKitDOMCSSStyleDeclaration"),(False,ForeignPtr,Just "CSSStyleDeclaration","CSSStyleDeclaration")),((True,"GtkMenuBar"),(False,ForeignPtr,Just "MenuBar","MenuBar")),((True,"GtkCheckMenuItem"),(False,ForeignPtr,Just "CheckMenuItem","CheckMenuItem")),((True,"GtkImageMenuItem"),(False,ForeignPtr,Just "ImageMenuItem","ImageMenuItem")),((True,"WebKitWebFrame"),(False,ForeignPtr,Just "WebFrame","WebFrame")),((True,"WebKitDOMText"),(False,ForeignPtr,Just "Text","Text")),((True,"GtkSeparatorToolItem"),(False,ForeignPtr,Just "SeparatorToolItem","SeparatorToolItem")),((True,"GtkAccelLabel"),(False,ForeignPtr,Just "AccelLabel","AccelLabel")),((True,"WebKitDOMHTMLLIElement"),(False,ForeignPtr,Just "HTMLLIElement","HTMLLIElement")),((True,"WebKitDOMHTMLBRElement"),(False,ForeignPtr,Just "HTMLBRElement","HTMLBRElement")),((True,"WebKitDOMHTMLHRElement"),(False,ForeignPtr,Just "HTMLHRElement","HTMLHRElement")),((True,"GtkPageSetup"),(False,ForeignPtr,Just "PageSetup","PageSetup")),((True,"WebKitDOMHTMLTableColElement"),(False,ForeignPtr,Just "HTMLTableColElement","HTMLTableColElement")),((True,"WebKitDOMHTMLTableRowElement"),(False,ForeignPtr,Just "HTMLTableRowElement","HTMLTableRowElement")),((True,"WebKitDOMDOMMimeTypeArray"),(False,ForeignPtr,Just "DOMMimeTypeArray","DOMMimeTypeArray")),((True,"WebKitWebView"),(False,ForeignPtr,Just "WebView","WebView")),((True,"GtkListItem"),(False,ForeignPtr,Just "ListItem","ListItem")),((True,"GtkContainer"),(False,ForeignPtr,Just "Container","Container")),((True,"GtkMenuItem"),(False,ForeignPtr,Just "MenuItem","MenuItem")),((True,"WebKitDOMHTMLParagraphElement"),(False,ForeignPtr,Just "HTMLParagraphElement","HTMLParagraphElement")),((True,"WebKitWebDatabase"),(False,ForeignPtr,Just "WebDatabase","WebDatabase")),((True,"WebKitWebInspector"),(False,ForeignPtr,Just "WebInspector","WebInspector")),((True,"GtkRecentChooserMenu"),(False,ForeignPtr,Just "RecentChooserMenu","RecentChooserMenu")),((True,"GdkPixbufAnimation"),(False,ForeignPtr,Just "PixbufAnimation","PixbufAnimation")),((True,"GtkToolPalette"),(False,ForeignPtr,Just "ToolPalette","ToolPalette")),((True,"GtkHScrollbar"),(False,ForeignPtr,Just "HScrollbar","HScrollbar")),((True,"GtkEntryCompletion"),(False,ForeignPtr,Just "EntryCompletion","EntryCompletion")),((True,"GtkHSeparator"),(False,ForeignPtr,Just "HSeparator","HSeparator")),((True,"GtkCellView"),(False,ForeignPtr,Just "CellView","CellView")),((True,"WebKitWebDataSource"),(False,ForeignPtr,Just "WebDataSource","WebDataSource")),((True,"GtkSeparatorMenuItem"),(False,ForeignPtr,Just "SeparatorMenuItem","SeparatorMenuItem")),((True,"WebKitDOMDOMSettableTokenList"),(False,ForeignPtr,Just "DOMSettableTokenList","DOMSettableTokenList")),((True,"WebKitHitTestResult"),(False,ForeignPtr,Just "HitTestResult","HitTestResult")),((True,"GtkIMContextSimple"),(False,ForeignPtr,Just "IMContextSimple","IMContextSimple")),((True,"GtkTearoffMenuItem"),(False,ForeignPtr,Just "TearoffMenuItem","TearoffMenuItem")),((True,"GtkIMMulticontext"),(False,ForeignPtr,Just "IMMulticontext","IMMulticontext")),((True,"GtkToolItem"),(False,ForeignPtr,Just "ToolItem","ToolItem")),((True,"GtkTextIter"),(False,ForeignPtr,Just "TextIter","TextIter")),((True,"GtkTipsQuery"),(False,ForeignPtr,Just "TipsQuery","TipsQuery")),((True,"WebKitDOMDOMNamedFlowCollection"),(False,ForeignPtr,Just "DOMNamedFlowCollection","DOMNamedFlowCollection")),((True,"GtkDrawingArea"),(False,ForeignPtr,Just "DrawingArea","DrawingArea")),((True,"WebKitDOMDOMWindowCSS"),(False,ForeignPtr,Just "DOMWindowCSS","DOMWindowCSS")),((True,"WebKitDOMHTMLHeadingElement"),(False,ForeignPtr,Just "HTMLHeadingElement","HTMLHeadingElement")),((True,"GtkActionGroup"),(False,ForeignPtr,Just "ActionGroup","ActionGroup")),((True,"GtkIconView"),(False,ForeignPtr,Just "IconView","IconView")),((True,"WebKitDOMHTMLTextAreaElement"),(False,ForeignPtr,Just "HTMLTextAreaElement","HTMLTextAreaElement")),((True,"GtkAccessible"),(False,ForeignPtr,Just "Accessible","Accessible")),((True,"GtkRecentManager"),(False,ForeignPtr,Just "RecentManager","RecentManager")),((True,"GtkInvisible"),(False,ForeignPtr,Just "Invisible","Invisible")),((True,"GtkAboutDialog"),(False,ForeignPtr,Just "AboutDialog","AboutDialog")),((True,"GtkTextMark"),(False,ForeignPtr,Just "TextMark","TextMark")),((True,"GtkRecentChooser"),(False,ForeignPtr,Just "RecentChooser","RecentChooser")),((True,"GtkRadioToolButton"),(False,ForeignPtr,Just "RadioToolButton","RadioToolButton")),((True,"GtkAccelGroup"),(False,ForeignPtr,Just "AccelGroup","AccelGroup")),((True,"GtkCheckButton"),(False,ForeignPtr,Just "CheckButton","CheckButton")),((True,"GtkAdjustment"),(False,ForeignPtr,Just "Adjustment","Adjustment")),((True,"WebKitDOMHTMLHeadElement"),(False,ForeignPtr,Just "HTMLHeadElement","HTMLHeadElement")),((True,"GtkAlignment"),(False,ForeignPtr,Just "Alignment","Alignment")),((True,"WebKitDOMProcessingInstruction"),(False,ForeignPtr,Just "ProcessingInstruction","ProcessingInstruction")),((True,"WebKitDOMHTMLImageElement"),(False,ForeignPtr,Just "HTMLImageElement","HTMLImageElement")),((True,"WebKitDOMHTMLFrameElement"),(False,ForeignPtr,Just "HTMLFrameElement","HTMLFrameElement")),((True,"WebKitDOMHTMLBaseFontElement"),(False,ForeignPtr,Just "HTMLBaseFontElement","HTMLBaseFontElement")),((True,"GtkRadioMenuItem"),(False,ForeignPtr,Just "RadioMenuItem","RadioMenuItem")),((True,"GtkEntryBuffer"),(False,ForeignPtr,Just "EntryBuffer","EntryBuffer")),((True,"WebKitDOMHTMLDirectoryElement"),(False,ForeignPtr,Just "HTMLDirectoryElement","HTMLDirectoryElement")),((True,"WebKitDOMHTMLLabelElement"),(False,ForeignPtr,Just "HTMLLabelElement","HTMLLabelElement")),((True,"WebKitDOMHTMLTableElement"),(False,ForeignPtr,Just "HTMLTableElement","HTMLTableElement")),((True,"WebKitDOMHTMLEmbedElement"),(False,ForeignPtr,Just "HTMLEmbedElement","HTMLEmbedElement")),((True,"GtkToggleToolButton"),(False,ForeignPtr,Just "ToggleToolButton","ToggleToolButton")),((True,"GdkDrawable"),(False,ForeignPtr,Just "Drawable","Drawable")),((True,"GtkBuilder"),(False,ForeignPtr,Just "Builder","Builder")),((True,"GtkPrintOperation"),(False,ForeignPtr,Just "PrintOperation","PrintOperation")),((True,"WebKitDOMHTMLOptionsCollection"),(False,ForeignPtr,Just "HTMLOptionsCollection","HTMLOptionsCollection")),((True,"GtkVScrollbar"),(False,ForeignPtr,Just "VScrollbar","VScrollbar")),((True,"GtkEditable"),(False,ForeignPtr,Just "Editable","Editable")),((True,"WebKitDOMHTMLBodyElement"),(False,ForeignPtr,Just "HTMLBodyElement","HTMLBodyElement")),((True,"GtkVSeparator"),(False,ForeignPtr,Just "VSeparator","VSeparator")),((True,"GdkDevice"),(False,ForeignPtr,Just "Device","Device")),((True,"WebKitDOMHTMLMediaElement"),(False,ForeignPtr,Just "HTMLMediaElement","HTMLMediaElement")),((True,"WebKitDOMHTMLVideoElement"),(False,ForeignPtr,Just "HTMLVideoElement","HTMLVideoElement")),((True,"WebKitDOMHTMLAudioElement"),(False,ForeignPtr,Just "HTMLAudioElement","HTMLAudioElement")),((True,"WebKitDOMHTMLAreaElement"),(False,ForeignPtr,Just "HTMLAreaElement","HTMLAreaElement")),((True,"GtkCTree"),(False,ForeignPtr,Just "CTree","CTree")),((True,"WebKitDOMWebKitNamedFlow"),(False,ForeignPtr,Just "WebKitNamedFlow","WebKitNamedFlow")),((True,"GtkTextTag"),(False,ForeignPtr,Just "TextTag","TextTag")),((True,"GtkAssistant"),(False,ForeignPtr,Just "Assistant","Assistant")),((True,"WebKitDownload"),(False,ForeignPtr,Just "Download","Download")),((True,"GtkCellRendererAccel"),(False,ForeignPtr,Just "CellRendererAccel","CellRendererAccel")),((True,"GtkInputDialog"),(False,ForeignPtr,Just "InputDialog","InputDialog")),((True,"WebKitGeolocationPolicyDecision"),(False,ForeignPtr,Just "GeolocationPolicyDecision","GeolocationPolicyDecision")),((True,"GtkButtonBox"),(False,ForeignPtr,Just "ButtonBox","ButtonBox")),((True,"GtkColorButton"),(False,ForeignPtr,Just "ColorButton","ColorButton")),((True,"GtkFixed"),(False,ForeignPtr,Just "Fixed","Fixed")),((True,"GtkTreeView"),(False,ForeignPtr,Just "TreeView","TreeView")),((True,"GtkRadioAction"),(False,ForeignPtr,Just "RadioAction","RadioAction")),((True,"GtkTextView"),(False,ForeignPtr,Just "TextView","TextView")),((True,"GtkFrame"),(False,ForeignPtr,Just "Frame","Frame")),((True,"GtkHButtonBox"),(False,ForeignPtr,Just "HButtonBox","HButtonBox")),((True,"GtkIMContext"),(False,ForeignPtr,Just "IMContext","IMContext")),((True,"GdkKeymap"),(False,ForeignPtr,Just "Keymap","Keymap")),((True,"WebKitDOMHTMLDListElement"),(False,ForeignPtr,Just "HTMLDListElement","HTMLDListElement")),((True,"WebKitDOMHTMLOListElement"),(False,ForeignPtr,Just "HTMLOListElement","HTMLOListElement")),((True,"WebKitDOMHTMLUListElement"),(False,ForeignPtr,Just "HTMLUListElement","HTMLUListElement")),((True,"GtkPrintSettings"),(False,ForeignPtr,Just "PrintSettings","PrintSettings")),((True,"WebKitDOMHTMLOptGroupElement"),(False,ForeignPtr,Just "HTMLOptGroupElement","HTMLOptGroupElement")),((True,"GtkOptionMenu"),(False,ForeignPtr,Just "OptionMenu","OptionMenu")),((True,"GtkTargetList"),(False,ForeignPtr,Just "TargetList","TargetList")),((True,"GtkHandleBox"),(False,ForeignPtr,Just "HandleBox","HandleBox")),((True,"WebKitDOMDOMImplementation"),(False,ForeignPtr,Just "DOMImplementation","DOMImplementation")),((True,"GtkScaleButton"),(False,ForeignPtr,Just "ScaleButton","ScaleButton")),((True,"GtkHRuler"),(False,ForeignPtr,Just "HRuler","HRuler")),((True,"GtkHPaned"),(False,ForeignPtr,Just "HPaned","HPaned")),((True,"GtkRecentFilter"),(False,ForeignPtr,Just "RecentFilter","RecentFilter")),((True,"GtkAccelMap"),(False,ForeignPtr,Just "AccelMap","AccelMap")),((True,"GtkImage"),(False,ForeignPtr,Just "Image","Image")),((True,"GtkCellRendererCombo"),(False,ForeignPtr,Just "CellRendererCombo","CellRendererCombo")),((True,"WebKitDOMHTMLMarqueeElement"),(False,ForeignPtr,Just "HTMLMarqueeElement","HTMLMarqueeElement")),((True,"WebKitDOMHTMLHtmlElement"),(False,ForeignPtr,Just "HTMLHtmlElement","HTMLHtmlElement")),((True,"GtkAction"),(False,ForeignPtr,Just "Action","Action")),((True,"GdkDisplay"),(False,ForeignPtr,Just "Display","Display")),((True,"WebKitDOMCDATASection"),(False,ForeignPtr,Just "CDATASection","CDATASection")),((True,"WebKitDOMHTMLMenuElement"),(False,ForeignPtr,Just "HTMLMenuElement","HTMLMenuElement")),((True,"GtkNotebook"),(False,ForeignPtr,Just "Notebook","Notebook")),((True,"WebKitDOMHTMLLinkElement"),(False,ForeignPtr,Just "HTMLLinkElement","HTMLLinkElement")),((True,"WebKitDOMHTMLFontElement"),(False,ForeignPtr,Just "HTMLFontElement","HTMLFontElement")),((True,"GdkPixmap"),(False,ForeignPtr,Just "Pixmap","Pixmap")),((True,"GtkButton"),(False,ForeignPtr,Just "Button","Button")),((True,"WebKitDOMXPathNSResolver"),(False,ForeignPtr,Just "XPathNSResolver","XPathNSResolver")),((True,"GtkScrollbar"),(False,ForeignPtr,Just "Scrollbar","Scrollbar")),((True,"GtkCalendar"),(False,ForeignPtr,Just "Calendar","Calendar")),((True,"GtkCombo"),(False,ForeignPtr,Just "Combo","Combo")),((True,"AtkObject"),(False,ForeignPtr,Just "AtkObject","AtkObject")),((True,"GtkObject"),(False,ForeignPtr,Just "Object","Object")),((True,"WebKitDOMHTMLQuoteElement"),(False,ForeignPtr,Just "HTMLQuoteElement","HTMLQuoteElement")),((True,"GtkComboBox"),(False,ForeignPtr,Just "ComboBox","ComboBox")),((True,"WebKitDOMDOMMimeType"),(False,ForeignPtr,Just "DOMMimeType","DOMMimeType")),((True,"GtkDialog"),(False,ForeignPtr,Just "Dialog","Dialog")),((True,"WebKitDOMHTMLInputElement"),(False,ForeignPtr,Just "HTMLInputElement","HTMLInputElement")),((True,"GtkExpander"),(False,ForeignPtr,Just "Expander","Expander")),((True,"GtkHScale"),(False,ForeignPtr,Just "HScale","HScale")),((True,"GtkPaned"),(False,ForeignPtr,Just "Paned","Paned")),((True,"WebKitDOMHTMLFormElement"),(False,ForeignPtr,Just "HTMLFormElement","HTMLFormElement")),((True,"WebKitDOMHTMLParamElement"),(False,ForeignPtr,Just "HTMLParamElement","HTMLParamElement")),((True,"GtkRecentAction"),(False,ForeignPtr,Just "RecentAction","RecentAction")),((True,"GtkToggleAction"),(False,ForeignPtr,Just "ToggleAction","ToggleAction")),((True,"GtkUIManager"),(False,ForeignPtr,Just "UIManager","UIManager")),((True,"GtkToggleButton"),(False,ForeignPtr,Just "ToggleButton","ToggleButton")),((True,"WebKitDOMHTMLBaseElement"),(False,ForeignPtr,Just "HTMLBaseElement","HTMLBaseElement")),((True,"GtkWindowGroup"),(False,ForeignPtr,Just "WindowGroup","WindowGroup")),((True,"GtkRadioButton"),(False,ForeignPtr,Just "RadioButton","RadioButton")),((True,"GdkColormap"),(False,ForeignPtr,Just "Colormap","Colormap")),((True,"GtkToolbar"),(False,ForeignPtr,Just "Toolbar","Toolbar")),((True,"WebKitDOMHTMLMetaElement"),(False,ForeignPtr,Just "HTMLMetaElement","HTMLMetaElement")),((True,"GtkRange"),(False,ForeignPtr,Just "Range","Range")),((True,"GtkCList"),(False,ForeignPtr,Just "CList","CList")),((True,"GdkVisual"),(False,ForeignPtr,Just "Visual","Visual")),((True,"WebKitDOMHTMLTitleElement"),(False,ForeignPtr,Just "HTMLTitleElement","HTMLTitleElement")),((True,"GtkSeparator"),(False,ForeignPtr,Just "Separator","Separator")),((True,"GtkStatusIcon"),(False,ForeignPtr,Just "StatusIcon","StatusIcon")),((True,"GtkLabel"),(False,ForeignPtr,Just "Label","Label")),((True,"GdkScreen"),(False,ForeignPtr,Just "Screen","Screen")),((True,"GtkSocket"),(False,ForeignPtr,Just "Socket","Socket")),((True,"GtkScale"),(False,ForeignPtr,Just "Scale","Scale")),((True,"GtkStyle"),(False,ForeignPtr,Just "Style","Style")),((True,"GtkArrow"),(False,ForeignPtr,Just "Arrow","Arrow")),((True,"GtkVolumeButton"),(False,ForeignPtr,Just "VolumeButton","VolumeButton")),((True,"GtkTable"),(False,ForeignPtr,Just "Table","Table")),((True,"GtkPreview"),(False,ForeignPtr,Just "Preview","Preview")),((True,"GtkVButtonBox"),(False,ForeignPtr,Just "VButtonBox","VButtonBox")),((True,"GtkPrintContext"),(False,ForeignPtr,Just "PrintContext","PrintContext")),((True,"WebKitDOMHTMLDocument"),(False,ForeignPtr,Just "HTMLDocument","HTMLDocument")),((True,"GtkEventBox"),(False,ForeignPtr,Just "EventBox","EventBox")),((True,"WebKitDOMEntityReference"),(False,ForeignPtr,Just "EntityReference","EntityReference")),((True,"WebKitDOMDOMStringList"),(False,ForeignPtr,Just "DOMStringList","DOMStringList")),((True,"GtkStatusbar"),(False,ForeignPtr,Just "Statusbar","Statusbar")),((True,"WebKitDOMHTMLModElement"),(False,ForeignPtr,Just "HTMLModElement","HTMLModElement")),((True,"GtkVRuler"),(False,ForeignPtr,Just "VRuler","VRuler")),((True,"GtkVPaned"),(False,ForeignPtr,Just "VPaned","VPaned")),((True,"WebKitDOMHTMLPreElement"),(False,ForeignPtr,Just "HTMLPreElement","HTMLPreElement")),((True,"GtkWidget"),(False,ForeignPtr,Just "Widget","Widget")),((True,"GtkCellRendererToggle"),(False,ForeignPtr,Just "CellRendererToggle","CellRendererToggle")),((True,"WebKitDOMHTMLStyleElement"),(False,ForeignPtr,Just "HTMLStyleElement","HTMLStyleElement")),((True,"WebKitDOMDOMSelection"),(False,ForeignPtr,Just "DOMSelection","DOMSelection")),((True,"GtkSettings"),(False,ForeignPtr,Just "Settings","Settings")),((True,"WebKitDOMDocumentFragment"),(False,ForeignPtr,Just "DocumentFragment","DocumentFragment")),((True,"GtkCellRendererSpinner"),(False,ForeignPtr,Just "CellRendererSpinner","CellRendererSpinner")),((True,"GtkEntry"),(False,ForeignPtr,Just "Entry","Entry")),((True,"WebKitDOMHTMLDetailsElement"),(False,ForeignPtr,Just "HTMLDetailsElement","HTMLDetailsElement")),((True,"GtkCellRendererProgress"),(False,ForeignPtr,Just "CellRendererProgress","CellRendererProgress")),((True,"WebKitDOMCSSStyleSheet"),(False,ForeignPtr,Just "CSSStyleSheet","CSSStyleSheet")),((True,"WebKitDOMDOMSecurityPolicy"),(False,ForeignPtr,Just "DOMSecurityPolicy","DOMSecurityPolicy")),((True,"WebKitDOMDOMTokenList"),(False,ForeignPtr,Just "DOMTokenList","DOMTokenList")),((True,"GtkSpinner"),(False,ForeignPtr,Just "Spinner","Spinner")),((True,"GtkLayout"),(False,ForeignPtr,Just "Layout","Layout")),((True,"GtkCellRendererPixbuf"),(False,ForeignPtr,Just "CellRendererPixbuf","CellRendererPixbuf")),((True,"GtkVScale"),(False,ForeignPtr,Just "VScale","VScale")),((True,"WebKitDOMMediaQueryList"),(False,ForeignPtr,Just "MediaQueryList","MediaQueryList")),((True,"WebKitDOMHTMLElement"),(False,ForeignPtr,Just "HTMLElement","HTMLElement")),((True,"WebKitDOMWebKitPoint"),(False,ForeignPtr,Just "WebKitPoint","WebKitPoint")),((True,"WebKitDOMDOMPluginArray"),(False,ForeignPtr,Just "DOMPluginArray","DOMPluginArray")),((True,"GtkRuler"),(False,ForeignPtr,Just "Ruler","Ruler")),((True,"GdkPixbuf"),(False,ForeignPtr,Just "Pixbuf","Pixbuf")),((True,"GdkWindow"),(False,ForeignPtr,Just "DrawWindow","DrawWindow")),((True,"GtkWindow"),(False,ForeignPtr,Just "Window","Window")),((True,"WebKitDOMHTMLMapElement"),(False,ForeignPtr,Just "HTMLMapElement","HTMLMapElement")),((True,"GtkViewport"),(False,ForeignPtr,Just "Viewport","Viewport")),((True,"GtkTooltip"),(False,ForeignPtr,Just "Tooltip","Tooltip")),((True,"WebKitDOMCSSRuleList"),(False,ForeignPtr,Just "CSSRuleList","CSSRuleList")),((True,"GtkTooltips"),(False,ForeignPtr,Just "Tooltips","Tooltips")),((True,"WebKitDOMHTMLCollection"),(False,ForeignPtr,Just "HTMLCollection","HTMLCollection")),((True,"WebKitDOMStyleSheetList"),(False,ForeignPtr,Just "StyleSheetList","StyleSheetList")),((True,"GtkRcStyle"),(False,ForeignPtr,Just "RcStyle","RcStyle")),((True,"GParameter"),(False,Ptr,Nothing,"GParameter"))],[("GC",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HSV",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Bin",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Box",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMAttr",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLOptionsCollection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("BarProp",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CSSRule",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebBackForwardList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebView",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLDetailsElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLHeadingElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMMimeTypeArray",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HScale",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VScale",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Combo",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Blob",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Pixbuf",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Misc",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Window",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Label",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Node",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Object",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("File",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Ruler",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Paned",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CTree",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Screen",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Fixed",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Image",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Widget",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Range",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Plug",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Action",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Device",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLMarqueeElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("GObject",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Socket",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Scale",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Dialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Table",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HRuler",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VRuler",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Style",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Builder",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Tooltip",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Frame",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Toolbar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Item",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Pixmap",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Keymap",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMSettableTokenList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Element",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HPaned",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VPaned",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Comment",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Event",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Spinner",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Arrow",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Layout",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("InfoBar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Display",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("GParm",Pointer {ptrTypeHO = Ptr, isNewtypeHO = False}),("Entry",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Storage",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLOptGroupElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Console",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("List",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Button",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Text",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebKitNamedFlow",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RcStyle",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextTag",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("History",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Menu",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Visual",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MenuBar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("UIEvent",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMApplicationCache",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Preview",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLModElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLPreElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLMapElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLDivElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLParagraphElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTableSectionElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMSecurityPolicy",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebDataSource",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLDirectoryElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTableCellElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMNamedFlowCollection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTableCaptionElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebPolicyDecision",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileChooserButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLParamElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLIFrameElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileChooserDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TearoffMenuItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLLabelElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLEmbedElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLVideoElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLLegendElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLObjectElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLSelectElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLImageElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebWindowFeatures",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLKeygenElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLAnchorElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PixbufAnimationIter",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLMediaElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLAudioElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLScriptElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLOptionElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTextAreaElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileChooserWidget",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTableElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMImplementation",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTitleElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLStyleElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AppLaunchContext",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HitTestResult",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLAppletElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTableColElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLFrameElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLBaseFontElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PrintOperationPreview",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ColorSelectionDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RecentChooserWidget",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMWindowCSS",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLDListElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLOListElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLUListElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CSSStyleDeclaration",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebNavigationAction",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLQuoteElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLButtonElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLFieldSetElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLAreaElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLInputElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLMetaElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLFrameSetElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLCanvasElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CSSStyleSheet",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLTableRowElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLHeadElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PixbufSimpleAnim",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererProgress",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CSSRuleList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLBaseElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ProcessingInstruction",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebInspector",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RecentChooserMenu",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMMimeType",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLCollection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMSelection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SeparatorMenuItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DisplayManager",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CDATASection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLLinkElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererCombo",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererPixbuf",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SeparatorToolItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLLIElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLBRElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLHRElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLHtmlElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebDatabase",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MessageDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLFormElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererAccel",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DestroyNotify",Pointer {ptrTypeHO = Ptr, isNewtypeHO = False}),("CellRendererToggle",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebFrame",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FontSelectionDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RecentManager",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebHistoryItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMPluginArray",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextTagTable",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLFontElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("NetworkRequest",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLMenuElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererSpin",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AtkObject",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RecentChooser",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererSpinner",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLBodyElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("XPathNSResolver",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("EntityReference",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMStringList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("KeyboardEvent",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLDocument",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HButtonBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VButtonBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RecentAction",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMTokenList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMRange",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CheckMenuItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeModelFilter",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MediaQueryList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMScreen",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRendererText",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ScrolledWindow",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToggleAction",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DrawingArea",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMPlugin",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HTMLElement",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("NetworkResponse",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeSelection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("NamedNodeMap",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileSelection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToggleToolButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebKitPoint",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("StyleSheetList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ImageMenuItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CSSValue",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("StorageInfo",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeModelSort",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RadioMenuItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebSettings",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PrintOperation",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("IMMulticontext",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeSortable",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RecentFilter",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellRenderer",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MessagePort",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextChildAnchor",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ColorSelection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SoupAuthDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PixbufAnimation",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DocumentFragment",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DOMWindow",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("UIManager",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellEditable",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AccelLabel",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Accessible",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("OffscreenWindow",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WebResource",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SelectionData",Pointer {ptrTypeHO = Ptr, isNewtypeHO = False}),("FontSelection",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("NodeIterator",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PrintSettings",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeModel",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToggleButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CharacterData",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TimeRanges",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ComboBoxEntry",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RadioToolButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("OptionMenu",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DocumentType",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToolItemGroup",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Location",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TargetList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeWalker",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Scrollbar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("StyleMedia",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Notebook",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Separator",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PrintContext",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("StyleSheet",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeViewColumn",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToolPalette",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Download",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HandleBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Expander",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HScrollbar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VScrollbar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AccelGroup",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("EntryCompletion",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Statusbar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AccelMap",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileChooser",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Alignment",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Invisible",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("IMContextSimple",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SecurityOrigin",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MenuToolButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("WindowGroup",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("StatusIcon",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AboutDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("InputDialog",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ValidityState",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Calendar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeStore",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Assistant",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("AspectFrame",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CheckButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Navigator",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MouseEvent",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VolumeButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("XPathExpression",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("NodeFilter",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToolItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Editable",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("NodeList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileFilter",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("EntryBuffer",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Container",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FileList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Adjustment",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("PageSetup",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ComboBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextBuffer",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SizeGroup",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DrawWindow",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("IconTheme",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ProgressBar",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MediaError",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellLayout",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ActionGroup",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("DragContext",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TreeView",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MediaList",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Drawable",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RadioAction",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("RadioButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Colormap",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Tooltips",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("LinkButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextMark",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ToolButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("EventTarget",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Geolocation",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ScaleButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MenuShell",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ListItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ItemFactory",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Clipboard",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("MenuItem",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("SpinButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ButtonBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("IconFactory",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("CellView",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("HSeparator",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("VSeparator",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ColorButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("IconView",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TipsQuery",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("EventBox",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextIter",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("ListStore",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("IMContext",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Settings",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("XPathResult",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("FontButton",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("GeolocationPolicyDecision",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Document",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("Viewport",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True}),("TextView",Pointer {ptrTypeHO = ForeignPtr, isNewtypeHO = True})])